## uefitool 0.28.0%2BA66

=== UEFITool/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.22)

PROJECT(UEFITool LANGUAGES C CXX)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

FIND_PACKAGE(Qt6 REQUIRED COMPONENTS Widgets)

SET(PROJECT_FORMS
 uefitool.ui
 searchdialog.ui
 hexviewdialog.ui
 gotobasedialog.ui
 gotoaddressdialog.ui
 )

SET(PROJECT_HEADERS 
 uefitool.h
 hexspinbox.h
 searchdialog.h
 hexviewdialog.h
 gotobasedialog.h
 gotoaddressdialog.h
 qhexview5/qhexview.h
)

SET(PROJECT_SOURCES 
 icons/uefitool.icns
 uefitool.rc
 uefitool_main.cpp
 uefitool.cpp
 searchdialog.cpp
 hexviewdialog.cpp
 hexlineedit.cpp
 ffsfinder.cpp
 hexspinbox.cpp
 qhexview5/model/buffer/qhexbuffer.cpp
 qhexview5/model/buffer/qdevicebuffer.cpp
 qhexview5/model/buffer/qmemorybuffer.cpp
 qhexview5/model/commands/hexcommand.cpp
 qhexview5/model/commands/insertcommand.cpp
 qhexview5/model/commands/removecommand.cpp
 qhexview5/model/commands/replacecommand.cpp
 qhexview5/model/qhexcursor.cpp
 qhexview5/model/qhexdelegate.cpp
 qhexview5/model/qhexdocument.cpp
 qhexview5/model/qhexmetadata.cpp
 qhexview5/model/qhexutils.cpp
 qhexview5/qhexview.cpp
 ../common/fitparser.cpp
 ../common/guiddatabase.cpp
 ../common/nvram.cpp
 ../common/nvramparser.cpp
 ../common/meparser.cpp
 ../common/ffsops.cpp
 ../common/types.cpp
 ../common/descriptor.cpp
 ../common/ffs.cpp
 ../common/peimage.cpp
 ../common/utility.cpp
 ../common/ffsbuilder.cpp
 ../common/ffsparser.cpp
 ../common/ffsreport.cpp
 ../common/treeitem.cpp
 ../common/treemodel.cpp
 ../common/LZMA/LzmaCompress.c
 ../common/LZMA/LzmaDecompress.c
 ../common/LZMA/SDK/C/CpuArch.c
 ../common/LZMA/SDK/C/Bra.c
 ../common/LZMA/SDK/C/Bra86.c
 ../common/LZMA/SDK/C/LzFind.c
 ../common/LZMA/SDK/C/LzmaDec.c
 ../common/LZMA/SDK/C/LzmaEnc.c
 ../common/Tiano/EfiTianoDecompress.c
 ../common/Tiano/EfiTianoCompress.c
 ../common/Tiano/EfiTianoCompressLegacy.c
 ../common/ustring.cpp
 ../common/digest/sha1.c
 ../common/digest/sha256.c
 ../common/digest/sha512.c
 ../common/digest/sm3.c
 ../common/generated/ami_nvar.cpp
 ../common/generated/intel_acbp_v1.cpp
 ../common/generated/intel_acbp_v2.cpp
 ../common/generated/intel_keym_v1.cpp
 ../common/generated/intel_keym_v2.cpp
 ../common/generated/intel_acm.cpp
 ../common/kaitai/kaitaistream.cpp
 ../common/zlib/adler32.c
 ../common/zlib/compress.c
 ../common/zlib/crc32.c
 ../common/zlib/deflate.c
 ../common/zlib/gzclose.c
 ../common/zlib/gzlib.c
 ../common/zlib/gzread.c
 ../common/zlib/gzwrite.c
 ../common/zlib/inflate.c
 ../common/zlib/infback.c
 ../common/zlib/inftrees.c
 ../common/zlib/inffast.c
 ../common/zlib/trees.c
 ../common/zlib/uncompr.c
 ../common/zlib/zutil.c
)

QT_ADD_RESOURCES(PROJECT_SOURCES 
 uefitool.qrc
)

ADD_DEFINITIONS(
 -DU_ENABLE_NVRAM_PARSING_SUPPORT
 -DU_ENABLE_ME_PARSING_SUPPORT
 -DU_ENABLE_FIT_PARSING_SUPPORT
 -DU_ENABLE_GUID_DATABASE_SUPPORT
)

SET_SOURCE_FILES_PROPERTIES(icons/uefitool.icns PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")

ADD_EXECUTABLE(UEFITool ${PROJECT_HEADERS} ${PROJECT_FORMS} ${PROJECT_SOURCES})

TARGET_INCLUDE_DIRECTORIES(UEFITool PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}")

TARGET_LINK_LIBRARIES(UEFITool PRIVATE Qt6::Widgets)

SET_TARGET_PROPERTIES(UEFITool PROPERTIES
 WIN32_EXECUTABLE ON
 MACOSX_BUNDLE ON
 MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
 AUTOMOC ON
 AUTOUIC ON
)

IF(UNIX AND (NOT APPLE) AND (NOT CYGWIN))
 SET_TARGET_PROPERTIES(UEFITool PROPERTIES OUTPUT_NAME uefitool)
 INSTALL(FILES icons/uefitool_16x16.png   DESTINATION share/icons/hicolor/16x16/apps   RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_32x32.png   DESTINATION share/icons/hicolor/32x32/apps   RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_64x64.png   DESTINATION share/icons/hicolor/64x64/apps   RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_128x128.png DESTINATION share/icons/hicolor/128x128/apps RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_256x256.png DESTINATION share/icons/hicolor/256x256/apps RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_512x512.png DESTINATION share/icons/hicolor/512x512/apps RENAME uefitool.png)
 INSTALL(FILES uefitool.desktop DESTINATION share/applications)
ENDIF()

INSTALL(TARGETS UEFITool BUNDLE DESTINATION "/Applications" )

## uefitool 0~A40

=== debian/changelog ===
uefitool (0~A40-0pureos1) green; urgency=medium

  * Initial release for PureOS.

 -- Matthias Klumpp <mak@debian.org>  Sat, 15 Apr 2017 16:36:08 +0200

=== debian/control ===
Source: uefitool
Section: utils
Priority: optional
Maintainer: Matthias Klumpp <matthias.klumpp@puri.sm>
Build-Depends: cmake,
               debhelper (>= 10),
               qt5-qmake,
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://github.com/corna/me_cleaner

Package: uefitool
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: UEFI firmware image viewer and editor
 UEFITool is a program for parsing, extracting and modifying UEFI
 firmware images.
 It supports parsing of full BIOS images starting with the flash
 descriptor or any binary files containing UEFI volumes.
 .
 This package contains the GUI tool.

Package: uefitool-utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: UEFI firmware image editor - CLI tools
 UEFITool is a program for parsing, extracting and modifying UEFI
 firmware images.
 It supports parsing of full BIOS images starting with the flash
 descriptor or any binary files containing UEFI volumes.
 .
 This package contains the UEFIDump, UEFIExtract and UEFIFind
 command-line utilities.

=== debian/rules ===
#!/usr/bin/make -f

INSTALLDIR:=$(CURDIR)/debian/tmp

export QT_SELECT := qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -DUEFIDump -Buefidump-bin
	dh_auto_configure -DUEFIExtract
	dh_auto_configure -DUEFIFind
	dh_auto_configure -DUEFITool

override_dh_auto_build:
	dh_auto_build -DUEFIDump -Buefidump-bin
	dh_auto_build -DUEFIExtract
	dh_auto_build -DUEFIFind
	dh_auto_build -DUEFITool

override_dh_auto_install:
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/usr/bin
	mkdir -p $(INSTALLDIR)/usr/share/applications
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/16x16/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/32x32/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/48x48/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/128x128/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/256x256/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/512x512/apps

	install uefidump-bin/UEFIDump $(INSTALLDIR)/usr/bin
	install UEFIExtract/UEFIExtract $(INSTALLDIR)/usr/bin
	install UEFIFind/UEFIFind $(INSTALLDIR)/usr/bin

	cp UEFITool/UEFITool $(INSTALLDIR)/usr/bin/uefitool
	install UEFITool/uefitool.desktop $(INSTALLDIR)/usr/share/applications/

	cp UEFITool/icons/uefitool_16x16.png $(INSTALLDIR)/usr/share/icons/hicolor/16x16/apps/uefitool.png
	cp UEFITool/icons/uefitool_32x32.png $(INSTALLDIR)/usr/share/icons/hicolor/32x32/apps/uefitool.png
	cp UEFITool/icons/uefitool_48x48.png $(INSTALLDIR)/usr/share/icons/hicolor/48x48/apps/uefitool.png
	cp UEFITool/icons/uefitool_128x128.png $(INSTALLDIR)/usr/share/icons/hicolor/128x128/apps/uefitool.png
	cp UEFITool/icons/uefitool_256x256.png $(INSTALLDIR)/usr/share/icons/hicolor/256x256/apps/uefitool.png
	cp UEFITool/icons/uefitool_512x512.png $(INSTALLDIR)/usr/share/icons/hicolor/512x512/apps/uefitool.png

=== debian/watch ===
version=3
opts=uversionmangle=s/(.*)/0~$1/ https://github.com/LongSoft/UEFITool/tags .*/(.*)\.tar\.gz

## uefitool 0.26.0

=== debian/changelog ===
uefitool (0.26.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0

 -- Yangfl <mmyangfl@gmail.com>  Mon, 12 Aug 2019 16:38:48 +0800

uefitool (0.26.0-1) unstable; urgency=medium

  * Initial release (Closes: #904007)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 17 Feb 2019 19:19:40 +0800

=== debian/control ===
Source: uefitool
Section: devel
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
 qt5-qmake,
 qtbase5-dev,
 qtbase5-dev-tools,
 icnsutils,
Standards-Version: 4.4.0
Homepage: https://github.com/LongSoft/UEFITool
Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool

Package: uefitool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UEFI firmware image viewer and editor
 UEFITool is a cross-platform C++/Qt program for parsing, extracting and
 modifying UEFI firmware images.
 .
 It supports parsing of full BIOS images starting with the flash descriptor or
 any binary files containing UEFI volumes.
 .
 This package contains the GUI utility, UEFITool. For the CLI versions, see
 uefitool-cli.

Package: uefitool-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UEFI firmware image viewer and editor - CLI version
 UEFITool is a cross-platform C++/Qt program for parsing, extracting and
 modifying UEFI firmware images.
 .
 It supports parsing of full BIOS images starting with the flash descriptor or
 any binary files containing UEFI volumes.
 .
 This package contains the CLI utilities, UEFIPatch and UEFIReplace. For the GUI
 version, see uefitool.

## uefitool 0.27.0

=== debian/changelog ===
uefitool (0.27.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:05 +0100

uefitool (0.27.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Thu, 16 Jan 2020 03:04:49 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  qtbase5-dev,
  qtbase5-dev-tools,
  icnsutils,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool

## uefitool 0.28.0

=== debian/changelog ===
uefitool (0.28.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1
  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Sun, 21 Feb 2021 23:09:42 +0800

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qt5-qmake,
  qtbase5-dev,
  qtbase5-dev-tools,
  icnsutils,
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT = 5


%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -O--sourcedirectory=UEFIPatch
	dh_auto_clean -O--sourcedirectory=UEFIReplace

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure -O--sourcedirectory=UEFIPatch
	dh_auto_configure -O--sourcedirectory=UEFIReplace

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -O--sourcedirectory=UEFIPatch
	dh_auto_build -O--sourcedirectory=UEFIReplace

override_dh_install:
	dh_install
	for exe in uefitool; do \
		icns2png -x $${exe}.icns; \
		for px in 16 32 128 256 512; do \
			size=$${px}x$${px}; \
			fn=$${exe}_$${size}x32.png; \
			if [ -f $${fn} ]; then \
				dir=debian/$${exe}/usr/share/icons/hicolor/$${size}/apps/; \
				mkdir -p $${dir}; \
				mv $${fn} $${dir}/$${exe}.png; \
			fi; \
		done; \
	done
	rm uefitool_*.png

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%uefitool-$1.tar.gz%" \
   https://github.com/LongSoft/UEFITool/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## uefitool 0.28.0+A62

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.16)

PROJECT(UEFITool_everything)

ADD_SUBDIRECTORY(UEFIExtract)
ADD_SUBDIRECTORY(UEFIFind)
ADD_SUBDIRECTORY(UEFITool)

=== UEFIExtract/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)

PROJECT(UEFIExtract)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

SET(PROJECT_SOURCES
 uefiextract_main.cpp
 ffsdumper.cpp
 uefidump.cpp
 ../common/guiddatabase.cpp
 ../common/types.cpp
 ../common/descriptor.cpp
 ../common/ffs.cpp
 ../common/nvram.cpp
 ../common/nvramparser.cpp
 ../common/meparser.cpp
 ../common/ffsparser.cpp
 ../common/fitparser.cpp
 ../common/ffsreport.cpp
 ../common/peimage.cpp
 ../common/treeitem.cpp
 ../common/treemodel.cpp
 ../common/utility.cpp
 ../common/LZMA/LzmaDecompress.c
 ../common/LZMA/SDK/C/Bra.c
 ../common/LZMA/SDK/C/Bra86.c
 ../common/LZMA/SDK/C/CpuArch.c
 ../common/LZMA/SDK/C/LzmaDec.c
 ../common/Tiano/EfiTianoDecompress.c
 ../common/ustring.cpp
 ../common/bstrlib/bstrlib.c
 ../common/bstrlib/bstrwrap.cpp
 ../common/generated/intel_acbp_v1.cpp
 ../common/generated/intel_acbp_v2.cpp
 ../common/generated/intel_keym_v1.cpp
 ../common/generated/intel_keym_v2.cpp
 ../common/generated/intel_acm.cpp
 ../common/kaitai/kaitaistream.cpp
 ../common/digest/sha1.c
 ../common/digest/sha256.c
 ../common/digest/sha512.c
 ../common/digest/sm3.c
 ../common/zlib/adler32.c
 ../common/zlib/compress.c
 ../common/zlib/crc32.c
 ../common/zlib/deflate.c
 ../common/zlib/gzclose.c
 ../common/zlib/gzlib.c
 ../common/zlib/gzread.c
 ../common/zlib/gzwrite.c
 ../common/zlib/inflate.c
 ../common/zlib/infback.c
 ../common/zlib/inftrees.c
 ../common/zlib/inffast.c
 ../common/zlib/trees.c
 ../common/zlib/uncompr.c
 ../common/zlib/zutil.c
)

ADD_DEFINITIONS(-DU_ENABLE_NVRAM_PARSING_SUPPORT -DU_ENABLE_ME_PARSING_SUPPORT  -DU_ENABLE_FIT_PARSING_SUPPORT -DU_ENABLE_GUID_DATABASE_SUPPORT)

ADD_EXECUTABLE(UEFIExtract ${PROJECT_SOURCES})

=== UEFIFind/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)

PROJECT(UEFIFind)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

SET(PROJECT_SOURCES
 uefifind_main.cpp
 uefifind.cpp
 ../common/guiddatabase.cpp
 ../common/types.cpp
 ../common/descriptor.cpp
 ../common/ffs.cpp
 ../common/nvram.cpp
 ../common/nvramparser.cpp
 ../common/ffsparser.cpp
 ../common/fitparser.cpp
 ../common/ffsreport.cpp
 ../common/ffsutils.cpp
 ../common/peimage.cpp
 ../common/treeitem.cpp
 ../common/treemodel.cpp
 ../common/utility.cpp
 ../common/LZMA/LzmaDecompress.c
 ../common/LZMA/SDK/C/Bra.c
 ../common/LZMA/SDK/C/Bra86.c
 ../common/LZMA/SDK/C/CpuArch.c
 ../common/LZMA/SDK/C/LzmaDec.c
 ../common/Tiano/EfiTianoDecompress.c
 ../common/ustring.cpp
 ../common/bstrlib/bstrlib.c
 ../common/bstrlib/bstrwrap.cpp
 ../common/generated/intel_acbp_v1.cpp
 ../common/generated/intel_acbp_v2.cpp
 ../common/generated/intel_keym_v1.cpp
 ../common/generated/intel_keym_v2.cpp
 ../common/generated/intel_acm.cpp
 ../common/kaitai/kaitaistream.cpp
 ../common/digest/sha1.c
 ../common/digest/sha256.c
 ../common/digest/sha512.c
 ../common/digest/sm3.c
 ../common/zlib/adler32.c
 ../common/zlib/compress.c
 ../common/zlib/crc32.c
 ../common/zlib/deflate.c
 ../common/zlib/gzclose.c
 ../common/zlib/gzlib.c
 ../common/zlib/gzread.c
 ../common/zlib/gzwrite.c
 ../common/zlib/inflate.c
 ../common/zlib/infback.c
 ../common/zlib/inftrees.c
 ../common/zlib/inffast.c
 ../common/zlib/trees.c
 ../common/zlib/uncompr.c
 ../common/zlib/zutil.c
)

ADD_DEFINITIONS(-DU_ENABLE_NVRAM_PARSING_SUPPORT -DU_ENABLE_FIT_PARSING_SUPPORT -DU_ENABLE_GUID_DATABASE_SUPPORT)

ADD_EXECUTABLE(UEFIFind ${PROJECT_SOURCES})

=== UEFITool/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.16)

PROJECT(UEFITool LANGUAGES C CXX)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

FIND_PACKAGE(Qt6 REQUIRED COMPONENTS Widgets)

SET(PROJECT_FORMS
 uefitool.ui
 searchdialog.ui
 hexviewdialog.ui
 gotobasedialog.ui
 gotoaddressdialog.ui
 )

SET(PROJECT_HEADERS 
 uefitool.h
 hexspinbox.h
 searchdialog.h
 hexviewdialog.h
 gotobasedialog.h
 gotoaddressdialog.h
)

SET(PROJECT_SOURCES 
 icons/uefitool.icns
 uefitool.rc
 uefitool_main.cpp
 uefitool.cpp
 searchdialog.cpp
 hexviewdialog.cpp
 guidlineedit.cpp
 ffsfinder.cpp
 hexspinbox.cpp
 qhexedit2/qhexedit.cpp
 qhexedit2/chunks.cpp
 qhexedit2/commands.cpp
 ../common/fitparser.cpp 
 ../common/guiddatabase.cpp 
 ../common/nvram.cpp 
 ../common/nvramparser.cpp 
 ../common/meparser.cpp 
 ../common/ffsops.cpp 
 ../common/types.cpp 
 ../common/descriptor.cpp 
 ../common/ffs.cpp 
 ../common/peimage.cpp 
 ../common/utility.cpp 
 ../common/ffsbuilder.cpp 
 ../common/ffsparser.cpp 
 ../common/ffsreport.cpp 
 ../common/ffsutils.cpp 
 ../common/treeitem.cpp 
 ../common/treemodel.cpp 
 ../common/LZMA/LzmaCompress.c 
 ../common/LZMA/LzmaDecompress.c 
 ../common/LZMA/SDK/C/CpuArch.c 
 ../common/LZMA/SDK/C/Bra.c 
 ../common/LZMA/SDK/C/Bra86.c 
 ../common/LZMA/SDK/C/LzFind.c 
 ../common/LZMA/SDK/C/LzmaDec.c 
 ../common/LZMA/SDK/C/LzmaEnc.c 
 ../common/Tiano/EfiTianoDecompress.c 
 ../common/Tiano/EfiTianoCompress.c 
 ../common/Tiano/EfiTianoCompressLegacy.c 
 ../common/ustring.cpp 
 ../common/digest/sha1.c 
 ../common/digest/sha256.c 
 ../common/digest/sha512.c 
 ../common/digest/sm3.c 
 ../common/generated/intel_acbp_v1.cpp 
 ../common/generated/intel_acbp_v2.cpp 
 ../common/generated/intel_keym_v1.cpp 
 ../common/generated/intel_keym_v2.cpp 
 ../common/generated/intel_acm.cpp 
 ../common/kaitai/kaitaistream.cpp 
 ../common/zlib/adler32.c 
 ../common/zlib/compress.c 
 ../common/zlib/crc32.c 
 ../common/zlib/deflate.c 
 ../common/zlib/gzclose.c 
 ../common/zlib/gzlib.c 
 ../common/zlib/gzread.c 
 ../common/zlib/gzwrite.c 
 ../common/zlib/inflate.c 
 ../common/zlib/infback.c 
 ../common/zlib/inftrees.c 
 ../common/zlib/inffast.c 
 ../common/zlib/trees.c 
 ../common/zlib/uncompr.c 
 ../common/zlib/zutil.c 
)

QT_ADD_RESOURCES(PROJECT_SOURCES 
 uefitool.qrc
)

ADD_DEFINITIONS(
 -DU_ENABLE_NVRAM_PARSING_SUPPORT
 -DU_ENABLE_ME_PARSING_SUPPORT
 -DU_ENABLE_FIT_PARSING_SUPPORT
 -DU_ENABLE_GUID_DATABASE_SUPPORT
)

SET_SOURCE_FILES_PROPERTIES(icons/uefitool.icns PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")

ADD_EXECUTABLE(UEFITool ${PROJECT_HEADERS} ${PROJECT_FORMS} ${PROJECT_SOURCES})

TARGET_INCLUDE_DIRECTORIES(UEFITool PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}")

TARGET_LINK_LIBRARIES(UEFITool PRIVATE Qt6::Widgets)

SET_TARGET_PROPERTIES(UEFITool PROPERTIES
 WIN32_EXECUTABLE ON
 MACOSX_BUNDLE ON
 MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
 AUTOMOC ON
 AUTOUIC ON
)

=== debian/changelog ===
uefitool (0.28.0+A62-1) unstable; urgency=medium

  * New upstream release
    * Add UEFIExtract (Closes: #980029)
  * Bump Standards-Version to 4.6.1

 -- Yangfl <mmyangfl@gmail.com>  Wed, 30 Nov 2022 00:30:27 +0800

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- qt5-qmake,
- qtbase5-dev,
- qtbase5-dev-tools,
- icnsutils,
+ dh-exec,
+ cmake,
+ qt6-base-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

=== debian/watch ===
version=4
opts="uversionmangle=s/^A/0.28.0+A/,filenamemangle=s%(?:.*?)?v?(A?\d[\d.]*)\.tar\.gz%uefitool-$1.tar.gz%" \
   https://github.com/LongSoft/UEFITool/tags \
   (?:.*?/)?v?(A?\d[\d.]*)\.tar\.gz debian uupdate

## uefitool 0.28.0+A66

=== UEFIExtract/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
  ../common/ustring.cpp
  ../common/bstrlib/bstrlib.c
  ../common/bstrlib/bstrwrap.cpp
+ ../common/generated/ami_nvar.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp
@@ -64,3 +65,11 @@
 
 ADD_EXECUTABLE(UEFIExtract ${PROJECT_SOURCES})
 
+IF(UNIX)
+ SET_TARGET_PROPERTIES(UEFIExtract PROPERTIES OUTPUT_NAME uefiextract)
+ENDIF()
+
+INSTALL(
+ TARGETS UEFIExtract
+ RUNTIME DESTINATION bin
+)

=== UEFIFind/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,6 @@
  ../common/nvramparser.cpp
  ../common/ffsparser.cpp
  ../common/fitparser.cpp
- ../common/ffsreport.cpp
- ../common/ffsutils.cpp
  ../common/peimage.cpp
  ../common/treeitem.cpp
  ../common/treemodel.cpp
@@ -32,6 +30,7 @@
  ../common/ustring.cpp
  ../common/bstrlib/bstrlib.c
  ../common/bstrlib/bstrwrap.cpp
+ ../common/generated/ami_nvar.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp
@@ -59,7 +58,13 @@
  ../common/zlib/zutil.c
 )
 
-ADD_DEFINITIONS(-DU_ENABLE_NVRAM_PARSING_SUPPORT -DU_ENABLE_FIT_PARSING_SUPPORT -DU_ENABLE_GUID_DATABASE_SUPPORT)
-
 ADD_EXECUTABLE(UEFIFind ${PROJECT_SOURCES})
 
+IF(UNIX)
+ SET_TARGET_PROPERTIES(UEFIFind PROPERTIES OUTPUT_NAME uefifind)
+ENDIF()
+
+INSTALL(
+ TARGETS UEFIFind
+ RUNTIME DESTINATION bin
+)

=== fuzzing/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)

PROJECT(ffsparser_fuzzer LANGUAGES C CXX)

OPTION(USE_QT "Link against Qt" OFF)
OPTION(USE_AFL "Build in AFL-compatible mode" OFF)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

SET(PROJECT_SOURCES
 ffsparser_fuzzer.cpp
 ../common/types.cpp
 ../common/descriptor.cpp
 ../common/guiddatabase.cpp
 ../common/ffs.cpp
 ../common/nvram.cpp
 ../common/nvramparser.cpp
 ../common/meparser.cpp
 ../common/ffsparser.cpp
 ../common/fitparser.cpp
 ../common/peimage.cpp
 ../common/treeitem.cpp
 ../common/treemodel.cpp
 ../common/utility.cpp
 ../common/LZMA/LzmaDecompress.c
 ../common/LZMA/SDK/C/Bra.c
 ../common/LZMA/SDK/C/Bra86.c
 ../common/LZMA/SDK/C/CpuArch.c
 ../common/LZMA/SDK/C/LzmaDec.c
 ../common/Tiano/EfiTianoDecompress.c
 ../common/ustring.cpp
 ../common/generated/ami_nvar.cpp
 ../common/generated/intel_acbp_v1.cpp
 ../common/generated/intel_acbp_v2.cpp
 ../common/generated/intel_keym_v1.cpp
 ../common/generated/intel_keym_v2.cpp
 ../common/generated/intel_acm.cpp
 ../common/kaitai/kaitaistream.cpp
 ../common/digest/sha1.c
 ../common/digest/sha256.c
 ../common/digest/sha512.c
 ../common/digest/sm3.c
 ../common/zlib/adler32.c
 ../common/zlib/compress.c
 ../common/zlib/crc32.c
 ../common/zlib/deflate.c
 ../common/zlib/gzclose.c
 ../common/zlib/gzlib.c
 ../common/zlib/gzread.c
 ../common/zlib/gzwrite.c
 ../common/zlib/inflate.c
 ../common/zlib/infback.c
 ../common/zlib/inftrees.c
 ../common/zlib/inffast.c
 ../common/zlib/trees.c
 ../common/zlib/uncompr.c
 ../common/zlib/zutil.c
)

IF(USE_AFL)
  SET(PROJECT_SOURCES ${PROJECT_SOURCES} afl_driver.cpp)
  MESSAGE("-- Building in AFL-compatible mode")
ELSE()
  MESSAGE("-- Building in libFuzzer mode")
ENDIF()

IF(NOT USE_QT)
  SET(PROJECT_SOURCES ${PROJECT_SOURCES}
    ../common/bstrlib/bstrlib.c
    ../common/bstrlib/bstrwrap.cpp
  )
  MESSAGE("-- Using non-Qt implementations")
ELSE()
  FIND_PACKAGE(Qt6 REQUIRED COMPONENTS Core)
  MESSAGE("-- Using Qt version: ${Qt6_VERSION}")
ENDIF()

ADD_DEFINITIONS(
 -DU_ENABLE_NVRAM_PARSING_SUPPORT
 -DU_ENABLE_ME_PARSING_SUPPORT
 -DU_ENABLE_FIT_PARSING_SUPPORT
 -DU_ENABLE_GUID_DATABASE_SUPPORT
)

ADD_EXECUTABLE(ffsparser_fuzzer ${PROJECT_SOURCES})


IF(NOT USE_AFL_DRIVER)
TARGET_COMPILE_OPTIONS(ffsparser_fuzzer PRIVATE -O1 -fno-omit-frame-pointer -g -ggdb3 -fsanitize=fuzzer,address,undefined -fsanitize-address-use-after-scope -fno-sanitize-recover=undefined)
TARGET_LINK_LIBRARIES(ffsparser_fuzzer PRIVATE -fsanitize=fuzzer,address,undefined)
ELSE()
TARGET_COMPILE_OPTIONS(ffsparser_fuzzer PRIVATE -O1 -fno-omit-frame-pointer -g -ggdb3 -fsanitize=address,undefined -fsanitize-coverage=trace-pc-guard -fsanitize-address-use-after-scope -fno-sanitize-recover=undefined)
TARGET_LINK_LIBRARIES(ffsparser_fuzzer PRIVATE -fsanitize=address,undefined)
ENDIF()

IF(USE_QT)
  TARGET_LINK_LIBRARIES(ffsparser_fuzzer PRIVATE Qt6::Core)
ENDIF()

=== debian/changelog ===
uefitool (0.28.0+A66-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:16 +1100

uefitool (0.28.0+A66-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:04:18 +0000

uefitool (0.28.0+A66-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Jun 2023 20:26:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: uefitool
 Section: devel
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  cmake,
  qt6-base-dev,
+ zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool
@@ -36,5 +38,5 @@
  It supports parsing of full BIOS images starting with the flash descriptor or
  any binary files containing UEFI volumes.
  .
- This package contains the CLI utilities, UEFIPatch and UEFIReplace. For the GUI
+ This package contains the CLI utilities, UEFIExtract and UEFIFind. For the GUI
  version, see uefitool.

## uefitool 0.28.0+A69

=== UEFIExtract/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.22)
 
 PROJECT(UEFIExtract)
 
@@ -12,6 +12,7 @@
  uefidump.cpp
  ../common/guiddatabase.cpp
  ../common/types.cpp
+ ../common/filesystem.cpp
  ../common/descriptor.cpp
  ../common/ffs.cpp
  ../common/nvram.cpp
@@ -61,9 +62,14 @@
  ../common/zlib/zutil.c
 )
 
-ADD_DEFINITIONS(-DU_ENABLE_NVRAM_PARSING_SUPPORT -DU_ENABLE_ME_PARSING_SUPPORT  -DU_ENABLE_FIT_PARSING_SUPPORT -DU_ENABLE_GUID_DATABASE_SUPPORT)
+ADD_DEFINITIONS(
+ -DU_ENABLE_NVRAM_PARSING_SUPPORT
+ -DU_ENABLE_ME_PARSING_SUPPORT
+ -DU_ENABLE_FIT_PARSING_SUPPORT
+ -DU_ENABLE_GUID_DATABASE_SUPPORT
+)
 
-ADD_EXECUTABLE(UEFIExtract ${PROJECT_SOURCES})
+ADD_EXECUTABLE(UEFIExtract ${PROJECT_SOURCES} uefiextract.manifest)
 
 IF(UNIX)
  SET_TARGET_PROPERTIES(UEFIExtract PROPERTIES OUTPUT_NAME uefiextract)

=== UEFIFind/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.22)
 
 PROJECT(UEFIFind)
 
@@ -11,6 +11,7 @@
  uefifind.cpp
  ../common/guiddatabase.cpp
  ../common/types.cpp
+ ../common/filesystem.cpp
  ../common/descriptor.cpp
  ../common/ffs.cpp
  ../common/nvram.cpp
@@ -58,7 +59,7 @@
  ../common/zlib/zutil.c
 )
 
-ADD_EXECUTABLE(UEFIFind ${PROJECT_SOURCES})
+ADD_EXECUTABLE(UEFIFind ${PROJECT_SOURCES} uefifind.manifest)
 
 IF(UNIX)
  SET_TARGET_PROPERTIES(UEFIFind PROPERTIES OUTPUT_NAME uefifind)

=== UEFITool/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.22)

PROJECT(UEFITool LANGUAGES C CXX)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

FIND_PACKAGE(Qt6 REQUIRED COMPONENTS Widgets)

SET(PROJECT_FORMS
 uefitool.ui
 searchdialog.ui
 hexviewdialog.ui
 gotobasedialog.ui
 gotoaddressdialog.ui
 )

SET(PROJECT_HEADERS 
 uefitool.h
 hexspinbox.h
 searchdialog.h
 hexviewdialog.h
 gotobasedialog.h
 gotoaddressdialog.h
)

SET(PROJECT_SOURCES 
 icons/uefitool.icns
 uefitool.rc
 uefitool_main.cpp
 uefitool.cpp
 searchdialog.cpp
 hexviewdialog.cpp
 hexlineedit.cpp
 ffsfinder.cpp
 hexspinbox.cpp
 ../common/fitparser.cpp
 ../common/guiddatabase.cpp
 ../common/nvram.cpp
 ../common/nvramparser.cpp
 ../common/meparser.cpp
 ../common/ffsops.cpp
 ../common/types.cpp
 ../common/descriptor.cpp
 ../common/ffs.cpp
 ../common/peimage.cpp
 ../common/utility.cpp
 ../common/ffsbuilder.cpp
 ../common/ffsparser.cpp
 ../common/ffsreport.cpp
 ../common/treeitem.cpp
 ../common/treemodel.cpp
 ../common/LZMA/LzmaCompress.c
 ../common/LZMA/LzmaDecompress.c
 ../common/LZMA/SDK/C/CpuArch.c
 ../common/LZMA/SDK/C/Bra.c
 ../common/LZMA/SDK/C/Bra86.c
 ../common/LZMA/SDK/C/LzFind.c
 ../common/LZMA/SDK/C/LzmaDec.c
 ../common/LZMA/SDK/C/LzmaEnc.c
 ../common/Tiano/EfiTianoDecompress.c
 ../common/Tiano/EfiTianoCompress.c
 ../common/Tiano/EfiTianoCompressLegacy.c
 ../common/ustring.cpp
 ../common/digest/sha1.c
 ../common/digest/sha256.c
 ../common/digest/sha512.c
 ../common/digest/sm3.c
 ../common/generated/ami_nvar.cpp
 ../common/generated/intel_acbp_v1.cpp
 ../common/generated/intel_acbp_v2.cpp
 ../common/generated/intel_keym_v1.cpp
 ../common/generated/intel_keym_v2.cpp
 ../common/generated/intel_acm.cpp
 ../common/kaitai/kaitaistream.cpp
 ../common/zlib/adler32.c
 ../common/zlib/compress.c
 ../common/zlib/crc32.c
 ../common/zlib/deflate.c
 ../common/zlib/gzclose.c
 ../common/zlib/gzlib.c
 ../common/zlib/gzread.c
 ../common/zlib/gzwrite.c
 ../common/zlib/inflate.c
 ../common/zlib/infback.c
 ../common/zlib/inftrees.c
 ../common/zlib/inffast.c
 ../common/zlib/trees.c
 ../common/zlib/uncompr.c
 ../common/zlib/zutil.c
)

QT_ADD_RESOURCES(PROJECT_SOURCES 
 uefitool.qrc
)

ADD_DEFINITIONS(
 -DU_ENABLE_NVRAM_PARSING_SUPPORT
 -DU_ENABLE_ME_PARSING_SUPPORT
 -DU_ENABLE_FIT_PARSING_SUPPORT
 -DU_ENABLE_GUID_DATABASE_SUPPORT
)

SET_SOURCE_FILES_PROPERTIES(icons/uefitool.icns PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")

ADD_EXECUTABLE(UEFITool ${PROJECT_HEADERS} ${PROJECT_FORMS} ${PROJECT_SOURCES})

TARGET_INCLUDE_DIRECTORIES(UEFITool PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}")

TARGET_LINK_LIBRARIES(UEFITool PRIVATE Qt6::Widgets)

ADD_SUBDIRECTORY(QHexView)
TARGET_LINK_LIBRARIES(UEFITool PRIVATE QHexView)

SET_TARGET_PROPERTIES(UEFITool PROPERTIES
 WIN32_EXECUTABLE ON
 MACOSX_BUNDLE ON
 MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
 AUTOMOC ON
 AUTOUIC ON
)

IF(UNIX AND (NOT APPLE) AND (NOT CYGWIN))
 SET_TARGET_PROPERTIES(UEFITool PROPERTIES OUTPUT_NAME uefitool)
 INSTALL(FILES icons/uefitool_16x16.png   DESTINATION share/icons/hicolor/16x16/apps   RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_32x32.png   DESTINATION share/icons/hicolor/32x32/apps   RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_64x64.png   DESTINATION share/icons/hicolor/64x64/apps   RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_128x128.png DESTINATION share/icons/hicolor/128x128/apps RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_256x256.png DESTINATION share/icons/hicolor/256x256/apps RENAME uefitool.png)
 INSTALL(FILES icons/uefitool_512x512.png DESTINATION share/icons/hicolor/512x512/apps RENAME uefitool.png)
 INSTALL(FILES uefitool.desktop DESTINATION share/applications)
ENDIF()

INSTALL(TARGETS UEFITool BUNDLE DESTINATION "/Applications" )

=== fuzzing/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.22)
 
 PROJECT(ffsparser_fuzzer LANGUAGES C CXX)

=== debian/changelog ===
uefitool (0.28.0+A69-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 08 Mar 2025 15:57:54 +0800

## uefitool 0.28.0+A71

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.16)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.22)
 
 PROJECT(UEFITool_everything)

=== UEFIExtract/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,17 @@
  ../common/bstrlib/bstrlib.c
  ../common/bstrlib/bstrwrap.cpp
  ../common/generated/ami_nvar.cpp
+ ../common/generated/apple_sysf.cpp
+ ../common/generated/dell_dvar.cpp
+ ../common/generated/edk2_vss.cpp
+ ../common/generated/edk2_vss2.cpp
+ ../common/generated/edk2_ftw.cpp
+ ../common/generated/insyde_fdc.cpp
+ ../common/generated/insyde_fdm.cpp
+ ../common/generated/ms_slic_marker.cpp
+ ../common/generated/ms_slic_pubkey.cpp
+ ../common/generated/phoenix_flm.cpp
+ ../common/generated/phoenix_evsa.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp

=== UEFIFind/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,17 @@
  ../common/bstrlib/bstrlib.c
  ../common/bstrlib/bstrwrap.cpp
  ../common/generated/ami_nvar.cpp
+ ../common/generated/apple_sysf.cpp
+ ../common/generated/dell_dvar.cpp
+ ../common/generated/edk2_vss.cpp
+ ../common/generated/edk2_vss2.cpp
+ ../common/generated/edk2_ftw.cpp
+ ../common/generated/insyde_fdc.cpp
+ ../common/generated/insyde_fdm.cpp
+ ../common/generated/ms_slic_marker.cpp
+ ../common/generated/ms_slic_pubkey.cpp
+ ../common/generated/phoenix_flm.cpp
+ ../common/generated/phoenix_evsa.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp

=== UEFITool/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,17 @@
  ../common/digest/sha512.c
  ../common/digest/sm3.c
  ../common/generated/ami_nvar.cpp
+ ../common/generated/apple_sysf.cpp
+ ../common/generated/dell_dvar.cpp
+ ../common/generated/edk2_vss.cpp
+ ../common/generated/edk2_vss2.cpp
+ ../common/generated/edk2_ftw.cpp
+ ../common/generated/insyde_fdc.cpp
+ ../common/generated/insyde_fdm.cpp
+ ../common/generated/ms_slic_marker.cpp
+ ../common/generated/ms_slic_pubkey.cpp
+ ../common/generated/phoenix_evsa.cpp
+ ../common/generated/phoenix_flm.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp

=== fuzzing/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,17 @@
  ../common/Tiano/EfiTianoDecompress.c
  ../common/ustring.cpp
  ../common/generated/ami_nvar.cpp
+ ../common/generated/apple_sysf.cpp
+ ../common/generated/dell_dvar.cpp
+ ../common/generated/edk2_vss.cpp
+ ../common/generated/edk2_vss2.cpp
+ ../common/generated/edk2_ftw.cpp
+ ../common/generated/insyde_fdc.cpp
+ ../common/generated/insyde_fdm.cpp
+ ../common/generated/ms_slic_marker.cpp
+ ../common/generated/ms_slic_pubkey.cpp
+ ../common/generated/phoenix_flm.cpp
+ ../common/generated/phoenix_evsa.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp

=== UEFITool/QHexView/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(QHexView)

option(QHEXVIEW_BUILD_EXAMPLE "Build Example Application" OFF)
option(QHEXVIEW_USE_QT5 "Enable Qt5 build" OFF)
option(QHEXVIEW_ENABLE_DIALOGS "BuiltIn dialogs" OFF)

if(QHEXVIEW_USE_QT5)
    find_package(Qt5 REQUIRED COMPONENTS Widgets)
else()
    find_package(Qt6 COMPONENTS Widgets)

    if(NOT Qt6_FOUND)
        find_package(Qt5 REQUIRED COMPONENTS Widgets)
    endif()
endif()

add_library(${PROJECT_NAME} STATIC)

set_target_properties(${PROJECT_NAME}
    PROPERTIES
        CXX_STANDARD_REQUIRED YES
        CXX_STANDARD 11
        AUTOMOC ON
)

target_link_libraries(${PROJECT_NAME}
    PUBLIC
        Qt::Widgets
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
        "${PROJECT_SOURCE_DIR}/include"
)

target_sources(${PROJECT_NAME}
    PRIVATE 
        include/QHexView/model/buffer/qdevicebuffer.h
        include/QHexView/model/buffer/qhexbuffer.h
        include/QHexView/model/buffer/qmappedfilebuffer.h
        include/QHexView/model/buffer/qmemorybuffer.h
        include/QHexView/model/buffer/qmemoryrefbuffer.h
        include/QHexView/model/commands/hexcommand.h
        include/QHexView/model/commands/insertcommand.h
        include/QHexView/model/commands/removecommand.h
        include/QHexView/model/commands/replacecommand.h
        include/QHexView/model/commands/replacecommand.h
        include/QHexView/model/qhexcursor.h
        include/QHexView/model/qhexdelegate.h
        include/QHexView/model/qhexdocument.h
        include/QHexView/model/qhexmetadata.h
        include/QHexView/model/qhexoptions.h
        include/QHexView/model/qhexutils.h
        include/QHexView/qhexview.h

    PRIVATE 
        src/model/commands/hexcommand.cpp
        src/model/commands/insertcommand.cpp
        src/model/commands/removecommand.cpp
        src/model/commands/replacecommand.cpp
        src/model/buffer/qdevicebuffer.cpp
        src/model/buffer/qhexbuffer.cpp
        src/model/buffer/qmemorybuffer.cpp
        src/model/buffer/qmemoryrefbuffer.cpp
        src/model/buffer/qmappedfilebuffer.cpp
        src/model/qhexdelegate.cpp
        src/model/qhexutils.cpp
        src/model/qhexcursor.cpp
        src/model/qhexmetadata.cpp
        src/model/qhexdocument.cpp
        src/qhexview.cpp
)

if(QHEXVIEW_ENABLE_DIALOGS)
    target_sources(${PROJECT_NAME}
        PRIVATE
            include/QHexView/dialogs/hexfinddialog.h
            src/dialogs/hexfinddialog.cpp
    )

    target_compile_definitions(${PROJECT_NAME} 
        PUBLIC
            QHEXVIEW_ENABLE_DIALOGS
    )
endif()

if(QHEXVIEW_BUILD_EXAMPLE)
    add_subdirectory(example)
endif()

=== debian/changelog ===
uefitool (0.28.0+A71-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Sun, 04 May 2025 21:34:19 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: uefitool
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
@@ -10,7 +9,7 @@
  qt6-base-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool

=== debian/watch ===
version=4
opts="uversionmangle=s/^A/0.28.0+A/,filenamemangle=s%(?:.*?)?v?(A?\d[\d.]*)\.tar\.gz%uefitool-$1.tar.gz%" \
   https://github.com/LongSoft/UEFITool/tags \
   (?:.*?/)?v?(A?\d[\d.]*)\.tar\.gz

## uefitool 0.28.0+A73

=== UEFIExtract/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,18 @@
  ../common/treeitem.cpp
  ../common/treemodel.cpp
  ../common/utility.cpp
+ ../common/brotli/common/constants.c
+ ../common/brotli/common/context.c
+ ../common/brotli/common/dictionary.c
+ ../common/brotli/common/platform.c
+ ../common/brotli/common/shared_dictionary.c
+ ../common/brotli/common/transform.c
+ ../common/brotli/dec/bit_reader.c
+ ../common/brotli/dec/decode.c
+ ../common/brotli/dec/huffman.c
+ ../common/brotli/dec/prefix.c
+ ../common/brotli/dec/state.c
+ ../common/brotli/dec/static_init.c
  ../common/LZMA/LzmaDecompress.c
  ../common/LZMA/SDK/C/Bra.c
  ../common/LZMA/SDK/C/Bra86.c

=== UEFIFind/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,18 @@
  ../common/treeitem.cpp
  ../common/treemodel.cpp
  ../common/utility.cpp
+ ../common/brotli/common/constants.c
+ ../common/brotli/common/context.c
+ ../common/brotli/common/dictionary.c
+ ../common/brotli/common/platform.c
+ ../common/brotli/common/shared_dictionary.c
+ ../common/brotli/common/transform.c
+ ../common/brotli/dec/bit_reader.c
+ ../common/brotli/dec/decode.c
+ ../common/brotli/dec/huffman.c
+ ../common/brotli/dec/prefix.c
+ ../common/brotli/dec/state.c
+ ../common/brotli/dec/static_init.c
  ../common/LZMA/LzmaDecompress.c
  ../common/LZMA/SDK/C/Bra.c
  ../common/LZMA/SDK/C/Bra86.c

=== UEFITool/CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,18 @@
  ../common/ffsreport.cpp
  ../common/treeitem.cpp
  ../common/treemodel.cpp
+ ../common/brotli/common/constants.c
+ ../common/brotli/common/context.c
+ ../common/brotli/common/dictionary.c
+ ../common/brotli/common/platform.c
+ ../common/brotli/common/shared_dictionary.c
+ ../common/brotli/common/transform.c
+ ../common/brotli/dec/bit_reader.c
+ ../common/brotli/dec/decode.c
+ ../common/brotli/dec/huffman.c
+ ../common/brotli/dec/prefix.c
+ ../common/brotli/dec/state.c
+ ../common/brotli/dec/static_init.c
  ../common/LZMA/LzmaCompress.c
  ../common/LZMA/LzmaDecompress.c
  ../common/LZMA/SDK/C/CpuArch.c

=== fuzzing/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,18 @@
  ../common/treeitem.cpp
  ../common/treemodel.cpp
  ../common/utility.cpp
+ ../common/brotli/common/constants.c
+ ../common/brotli/common/context.c
+ ../common/brotli/common/dictionary.c
+ ../common/brotli/common/platform.c
+ ../common/brotli/common/shared_dictionary.c
+ ../common/brotli/common/transform.c
+ ../common/brotli/dec/bit_reader.c
+ ../common/brotli/dec/decode.c
+ ../common/brotli/dec/huffman.c
+ ../common/brotli/dec/prefix.c
+ ../common/brotli/dec/state.c
+ ../common/brotli/dec/static_init.c
  ../common/LZMA/LzmaDecompress.c
  ../common/LZMA/SDK/C/Bra.c
  ../common/LZMA/SDK/C/Bra86.c

=== debian/changelog ===
uefitool (0.28.0+A73-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.3

 -- Yangfl <mmyangfl@gmail.com>  Thu, 12 Feb 2026 22:52:58 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: uefitool
 Section: devel
-Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -8,8 +7,7 @@
  cmake,
  qt6-base-dev,
  zlib1g-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool

=== debian/watch ===
Version: 5
Template: GitHub
Owner: LongSoft
Project: UEFITool
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/[-_]?[Vv]?(A?\d[\-+\.:\~\da-zA-Z]*)
Filename-Mangle: s%.*/[-_]?[Vv]?(A?\d[\-+\.:\~\da-zA-Z]*)%@PACKAGE@-$1.tar.gz%
Dversion-Mangle: auto
Uversion-Mangle: s/^A/0.28.0+A/
